BackendHTTP APIConnections

List connections

Requires an API key with one of: environment:connections:list or environment:connections:list_credentials. Learn more about API key scopes.

Response example

Example Response
{
"connections": [
  {
    "id": 1,
    "connection_id": "test-1",
    "provider": "slack",
    "provider_config_key": "slack-nango-community",
    "created": "2023-06-03T14:53:22.051Z",
    "metadata": null,
    "tags": {
      "end_user_id": "your-internal-id",
      "end_user_email": "[email protected]",
      "organization_id": "user-organization-id"
    },
    "errors": [{ "type": "auth", "log_id": "VrnbtykXJFckCm3HP93t"}]
  },
  {
    "id": 2,
    "connection_id": "test-2",
    "provider": "slack",
    "provider_config_key": "slack-nango-community",
    "created": "2023-06-03T15:00:14.945Z",
    "metadata": {
      "bot_id": "some-uuid"
    },
    "tags": {
      "end_user_id": "your-internal-id",
      "end_user_email": "[email protected]",
      "organization_id": "user-organization-id"
    },
    "errors": []
  }
]
}
GET
/connections

Returns a list of connections without credentials

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Query Parameters

connectionId?string

Will exactly match a given connectionId. Can return multiple connections with the same ID across integrations

search?stringDeprecated

Deprecated. No direct replacement for partial matching; prefer exact filtering via connectionId or connection tags (e.g. tags[end_user_id]=...).

endUserId?stringDeprecated

Deprecated. Prefer filtering connections by tag (e.g. tags[end_user_id]=...).

endUserOrganizationId?stringDeprecated

Deprecated. Prefer filtering connections by tag (e.g. tags[organization_id]=...).

tags?

Filter the list of connections based on connection tags. All provided tags must match.

Propertiesproperties <= 10
limit?integer

Limit the number of connections returned

page?integer

Page number for paginated results

Response Body

Successfully returned a list of connections

application/json
  1. response
connections*array<>
Example Request
curl -X GET 'https://api.tenklo.dev/connections'
Example Response
{  "connections": [    {      "id": 0,      "connection_id": "string",      "provider": "string",      "provider_config_key": "string",      "created": "string",      "metadata": {},      "tags": {        "property1": "string",        "property2": "string"      },      "errors": [        {          "type": "auth",          "log_id": "string"        }      ],      "end_user": {        "id": "string",        "email": "string",        "display_name": "string",        "tags": {},        "organization": {          "id": "string",          "display_name": "string"        }      }    }  ]}